var app = { 
    initialize: function() {
        this.bindEvents();
    }, 
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    }, 
    onDeviceReady: function() {
        app.receivedEvent('deviceready'); 
		notiftest();		
    },
    receivedEvent: function(id) { 
    }
};

var myApp = new Framework7({modalTitle: ' ','cache':false});

var $$ = Dom7;
var perfix = Math.random();
//var perfix = '_uy0t';
function base_url(){
	var token = 'qw3rty9689xyzh3wsq';
	var user_id = 4;
	var device_data = '&device_version=null&device_uuid=null&device_model=null&device_cordova=null&device_platform=null';
	var refresh = encodeURIComponent(Math.random());
 	if(typeof(device) != "undefined" && device !== null){ 
		var device_model = encodeURIComponent(device.model);
		var device_cordova = encodeURIComponent(device.cordova);
		var device_platform = encodeURIComponent(device.platform);
		var device_uuid = encodeURIComponent(device.uuid);
		var device_version = encodeURIComponent(device.version);
		var device_data = '&device_version='+device_version+'&device_uuid='+device_uuid+'&device_model='+device_model+'&device_cordova='+device_cordova+'&device_platform='+device_platform;
	}	 
 	var baseURL = 'http://apps.dadali.co.id/?webservices='+user_id+'&token='+token+device_data+'&refresh='+refresh;
	return baseURL;
}
function isset(object){
    return (typeof object !=='undefined');
}
 
function ambilhalaman(page_id, el, p, id){ 
	var baseURL = base_url();
	var page_id = page_id;   
	var p = p?p:1;   
 	myApp.showPreloader();
	console.log(baseURL+'&ambilhalaman='+page_id+'&p='+p+'&id='+id);
 	$$.ajax({
		type: "GET",	
		url: baseURL+'&ambilhalaman='+page_id+'&p='+p+'&id='+id,
		dataType: 'json',       
		crossDomain: true,
		cache: false, 
		success: function (jsonResult) { 
			console.log(jsonResult);
			if(jsonResult.status>=1){	
				if(p <= 1){
					if(jsonResult.contents!=""){
						if(el){
							$$(el).html(jsonResult.contents);
						}
						else{
							mainView.router.loadContent(jsonResult.contents); 
						}		
					}
				}
				if(jsonResult.popup){
					//console.log('popup');
					myApp.popup(jsonResult.popup);
				}
				if(jsonResult.archive){
					$$('.'+page_id+' .list-block.virtual-list ul li:last-child').remove(); 
					
					if(jsonResult.archivedata.length>=1){
						//myList.deleteAllItems(); 
						if(jsonResult.archiveimage){
							for(var i = 0; i < jsonResult.archivedata.length; i++) {
								var item = jsonResult.archivedata[i]; 
								var newObj = '<li class="id-'+ item.id +'"><a onclick="' + item.onclick + '" href="#" class="item-link item-content">'+
								'<div class="item-media">'+
								'<img src="' + item.picture + '" width="80"></div>'+
								'<div class="item-inner">'+
								'<div class="item-title-row">'+
								'<div class="item-title">' + item.title + '</div>'+ 
								'</div>'+
								'<div class="item-subtitle">' + item.subtitle + '</div>'+
								'<div class="item-text">'+ item.description +'</div>'+
								'</div></a></li>';
								$$('.'+page_id+' .list-block.virtual-list ul').append(newObj);
								//console.log('Append'+obj);
								//myList.appendItem(obj); 
							}						
						}
						else{
							for(var i = 0; i < jsonResult.archivedata.length; i++) {
								var item = jsonResult.archivedata[i]; 
								var newObj = '<li class="id-'+ item.id +'"><a onclick="' + item.onclick + '" href="#" class="item-link item-content">'+
								'<div class="item-inner">'+
								'<div class="item-title-row">'+
								'<div class="item-title">' + item.title + '</div>'+ 
								'</div>'+
								'<div class="item-subtitle">' + item.subtitle + '</div>'+
								'<div class="item-text">'+ item.description +'</div>'+
								'</div></a></li>';
								$$('.'+page_id+' .list-block.virtual-list ul').append(newObj);
								//console.log('Append'+obj);
								//myList.appendItem(obj); 
							}						

						}
					} 
				}
			}
			myApp.hidePreloader();
			$$("html, body").animate({ scrollTop: 0 }, "slow");
 		},
		error:function(xhr,status,error){
			//myApp.alert(xhr+"-"+status+"-"+error);
			myApp.alert("Mohon maaf, koneksi anda terputus...");
			myApp.hidePreloader();
 		},
		timeout: 10000 // sets timeout to 3 seconds
	});  				
}
function formsubmit(myform){	   
 	myApp.showPreloader();
	$$('form.ajax-submit').on('submitted', function (e) {
	  var xhr = e.detail.xhr;	 
	  var jsonResult = JSON.parse(e.detail.data);  
	  console.log(jsonResult);
		if(jsonResult.status>=1){
			myApp.hidePreloader();
  			if(jsonResult.message!=""){
				myApp.alert(jsonResult.message); 
			} 		 	  
			if(jsonResult.reset!=""){
				$$("#"+myform)[0].reset();
			} 	
		}  
		else{
			myApp.alert("Mohon maaf, koneksi anda terputus...");
			myApp.hidePreloader();			
		}
	}); 
}   
  
ambilhalaman('home-datsun-kopo','.home-datsun-kopo', 1, null);
  
function notiftest(){ 				  
	var storedData = myApp.formGetData('DB_push'+perfix);
	if(storedData&&storedData.jsonResult!=""){
		//
	}
	else{			
		try {
			pushNotification = window.plugins.pushNotification;
			pushNotification.unregister(successHandler, errorHandler);
			pushNotification.register(
			successHandler,
			errorHandler, {
				"senderID": "469180825080",
				"ecb": "onNotificationGCM"
			});
		} catch (e) {
			notiftest();
		}
	}
}
function postgcmregid(regid){
	var baseURI = base_url();
	$$.ajax({
		type: "GET",
		url: baseURI+'&gcm='+regid,
		dataType: 'json',       
		crossDomain: true,
		cache: false, 
		success: function (jsonResult) {  
			postgcmregid(regid)
		},
		error:function(xhr,status,error){
			postgcmregid(regid);
			//specialads();
		}
	});  
}
function onNotificationGCM(e) {
	switch( e.event )
    {
		case 'registered':
			if ( e.regid.length > 0 )
			{ 
				postgcmregid(e.regid); 
			}
		break;

		case 'message':
			if(e.payload.notification_key){
				//navigator.notification.alert('notification_key: ' + e.payload.notification_key);
				var mystr = e.payload.notification_key;
				var myarr = mystr.split("_");  
				ambilhalaman(myarr[0], myarr[1], myarr[2], myarr[3]);
			}  
		break;

		case 'error':
			notiftest();
		break;
	}
}
function successHandler(data) {
	//alert("SUCCESS: " + JSON.stringify(data));
}

function errorHandler(e) {
	//alert("ERROR" + e);
	notiftest();
}
app.initialize();
/*
ambilhalaman('test-drive-datsun-kopo','.test-drive-datsun-kopo', 1, null);
ambilhalaman('kritik-dan-saran-datsun-kopo','.kritik-dan-saran-datsun-kopo', 1, null);
ambilhalaman('tanya-jawab-datsun-kopo','.tanya-jawab-datsun-kopo', 1, null);
/*
ambilhalaman('booking-service-datsun-kopo','.booking-service-datsun-kopo', 1, null);
ambilhalaman('testimonial-datsun-kopo','.testimonial-datsun-kopo', 1, null);
ambilhalaman('blog-datsun-kopo','.blog-datsun-kopo', 1, null);
*/